com.opensymphony.xwork2.security

## Class DefaultExcludedPatternsChecker

- java.lang.Object
- - com.opensymphony.xwork2.security.DefaultExcludedPatternsChecker

- All Implemented Interfaces:
    ExcludedPatternsChecker

      public class DefaultExcludedPatternsChecker
      extends Object
      implements ExcludedPatternsChecker

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface com.opensymphony.xwork2.security.ExcludedPatternsChecker

      `ExcludedPatternsChecker.IsExcluded`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String[]` | `EXCLUDED_PATTERNS`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DefaultExcludedPatternsChecker()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Set<Pattern>` | `getExcludedPatterns()` Allow access list of all defined excluded patterns
    `ExcludedPatternsChecker.IsExcluded` | `isExcluded(String value)` Checks if value matches any of patterns on exclude list
    `void` | `setAdditionalExcludePatterns(String excludePatterns)`
    `protected void` | `setDynamicMethodInvocation(String dmiValue)`
    `void` | `setExcludedPatterns(Set<String> patterns)` Sets excluded patterns during runtime
    `void` | `setExcludedPatterns(String commaDelimitedPatterns)` Sets excluded patterns during runtime
    `void` | `setExcludedPatterns(String[] patterns)` Sets excluded patterns during runtime
    `protected void` | `setOverrideExcludePatterns(String excludePatterns)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### EXCLUDED_PATTERNS

          public static final String[] EXCLUDED_PATTERNS

  - ### Constructor Detail

    - #### DefaultExcludedPatternsChecker

          public DefaultExcludedPatternsChecker()

  - ### Method Detail

    - #### setOverrideExcludePatterns

          protected void setOverrideExcludePatterns(String excludePatterns)

    - #### setAdditionalExcludePatterns

          public void setAdditionalExcludePatterns(String excludePatterns)

    - #### setDynamicMethodInvocation

          protected void setDynamicMethodInvocation(String dmiValue)

    - #### setExcludedPatterns

          public void setExcludedPatterns(String commaDelimitedPatterns)

      Description copied from interface: `ExcludedPatternsChecker`
      Sets excluded patterns during runtime
      Specified by:
        `setExcludedPatterns` in interface `ExcludedPatternsChecker`
      Parameters:
        `commaDelimitedPatterns` - comma delimited string with patterns

    - #### setExcludedPatterns

          public void setExcludedPatterns(String[] patterns)

      Description copied from interface: `ExcludedPatternsChecker`
      Sets excluded patterns during runtime
      Specified by:
        `setExcludedPatterns` in interface `ExcludedPatternsChecker`
      Parameters:
        `patterns` - array of additional excluded patterns

    - #### setExcludedPatterns

          public void setExcludedPatterns(Set<String> patterns)

      Description copied from interface: `ExcludedPatternsChecker`
      Sets excluded patterns during runtime
      Specified by:
        `setExcludedPatterns` in interface `ExcludedPatternsChecker`
      Parameters:
        `patterns` - set of additional patterns

    - #### isExcluded

          public ExcludedPatternsChecker.IsExcluded isExcluded(String value)

      Description copied from interface: `ExcludedPatternsChecker`
      Checks if value matches any of patterns on exclude list
      Specified by:
        `isExcluded` in interface `ExcludedPatternsChecker`
      Parameters:
        `value` - to check
      Returns:
        object containing result of matched pattern and pattern itself

    - #### getExcludedPatterns

          public Set<Pattern> getExcludedPatterns()

      Description copied from interface: `ExcludedPatternsChecker`
      Allow access list of all defined excluded patterns
      Specified by:
        `getExcludedPatterns` in interface `ExcludedPatternsChecker`
      Returns:
        set of excluded patterns

Copyright © 2000–2024 Apache Software Foundation. All rights reserved.